Subject: guix deploy close ssh session after each store items sent

From: Brice Waegeneire <[email-masked]>
Date: Wed, 13 May 2020 16:32:55 +0000

Hey Guix,

“guix deploy” bugs; they keep coming! “guix deploy” doesn't make use of 
SSH
channels[0], instead it close the SSH session each time after sending 
store
items. This may be unnoticeable by users using a password-less SSH key
(bad!) or an SSH agent (better!) but for the other it mean entering the
password ~5 times per host per deployment which get old very quick. In 
my
case I use a keycard that require me to physically interact with it for
each authentication request, it means multiple touch per deployment,
reducing it just one would be a great relief.

[0]: 
https://github.com/artyom-poptsov/guile-ssh/blob/b11182d5582844df0c8d1fcb7177ff85f8ac3bcd/doc/api-sessions.texi#L17

- Brice